Debian Bug report logs - #465737
Can't mount XFS partition on "/"

version graph

Package: xfsprogs; Maintainer for xfsprogs is XFS Development Team <xfs@oss.sgi.com>; Source for xfsprogs is src:xfsprogs.

Reported by: "Facundo Ariel Perez" <facundo.ariel.perez@gmail.com>

Date: Thu, 14 Feb 2008 12:15:01 UTC

Severity: grave

Tags: d-i

Merged with 468184

Found in version xfsprogs/2.9.6-1

Fixed in version xfsprogs/2.9.7-1

Done: Nathan Scott <nathans@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#465737; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Facundo Ariel Perez" <facundo.ariel.perez@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Facundo Ariel Perez" <facundo.ariel.perez@gmail.com>
To: submit@bugs.debian.org
Subject: Can't mount XFS partition on "/"
Date: Thu, 14 Feb 2008 10:12:26 -0200
Package: installation-reports

Boot method: CD
Image version: http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/debian-testing-i386-businesscard.iso
Date:  14-Feb-2008 10:07

Machine:    Desktop PC - Clone
Processor:  Intel 2.4 ghz
Memory:     1 gb
Partitions:

/dev/sda1   ---> 21 gb XFS defined as / ( format and boot flag )
/dev/sda3   ---> 5 gb  XFS  defined as /home ( keep data )
/dev/sda5   ---> 2 gb XFS   defined as swap ( format )
/dev/sda6   ---> 53 gb XFS  defined as /data ( keep data )

Output of lspci -nn and lspci -vnn:

Base System Installation Checklist: E

Initial boot:           [OK]
Detect network card:    [OK]
Configure network:      [OK]
Detect CD:              [OK]
Load installer modules: [OK]
Detect hard drives:     [OK]
Partition hard drives:  [E]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

After doing the manual partitioning as indicated above, the system
can't mount the "/" ( /dev/sda1 ) as XFS.  But if I define that
partition as JFS it worked ok.


   Regards.
   Facundo.
   Buenos Aires - Argentina




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#465737; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 465737@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: "Facundo Ariel Perez" <facundo.ariel.perez@gmail.com>
Cc: 465737@bugs.debian.org
Subject: Re: Bug#465737: Can't mount XFS partition on "/"
Date: Thu, 14 Feb 2008 10:47:29 -0200
"Facundo Ariel Perez" <facundo.ariel.perez@gmail.com> writes:

> After doing the manual partitioning as indicated above, the system
> can't mount the "/" ( /dev/sda1 ) as XFS.  But if I define that
> partition as JFS it worked ok.

Could you send the installer syslog, from /var/log/installer/syslog
(gzipped) to this bug?

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#465737; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "MD Dawson" <md6138@bristol.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 465737@bugs.debian.org (full text, mbox):

From: "MD Dawson" <md6138@bristol.ac.uk>
To: 465737@bugs.debian.org
Subject: Re: Bug#465737: Can't mount XFS partition on "/"
Date: Mon, 25 Feb 2008 03:10:06 -0000 (GMT)
Hi, I ran into the same problem a couple of days ago and had to use
another filesystem. I do not have the installation syslog handy at the
moment, but I can send it on later if desired. When the error occurred I
glanced at VT4 and saw:

Mounting /dev/sda2 on /target/ failed
Invalid argument

Or something along those lines. There was nothing else that stood out, at
least as far as I could tell. Other than that the install went very
smoothly.

Matt.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#465737; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 465737@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 465737@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 465737@bugs.debian.org
Cc: "MD Dawson" <md6138@bristol.ac.uk>, xfsprogs@packages.debian.org
Subject: Re: Bug#465737: Can't mount XFS partition on "/"
Date: Thu, 28 Feb 2008 01:17:53 +0100
[Message part 1 (text/plain, inline)]
forcemerge 465737 468184
reassign 465737 xfsprogs 2.9.6-1
severity 465737 grave
tags 465737 d-i
thanks

On Monday 25 February 2008, MD Dawson wrote:
> Hi, I ran into the same problem a couple of days ago and had to use
> another filesystem. I do not have the installation syslog handy at the
> moment, but I can send it on later if desired. When the error occurred I
> glanced at VT4 and saw:
>
> Mounting /dev/sda2 on /target/ failed
> Invalid argument

We've now received three reports of installations using XFS failing. I have 
managed to reproduce the error both in the installer itself and in the 
chroot of a newly installed system, so the issue is not specific to the 
installer.

The problem is that creating the file system seems to go fine, but mounting 
it afterwards fails with the following in dmesg:
XFS: bad version
XFS: SB validate failed

xfs_check gives no errors.

After downgrading to version 2.9.4-1, a newly created partition could be 
mounted again.

Mounting a partition created with 2.9.4-1 will still mount successfully 
after upgrading to 2.9.6-1 (which I guess is logical).

Tested using i386/testing with a 2.6.22 kernel.

Cheers,
FJP
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 465737 468184. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 28 Feb 2008 00:21:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `installation-reports' to `xfsprogs'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 28 Feb 2008 00:21:04 GMT) Full text and rfc822 format available.

Severity set to `grave' from `normal' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 28 Feb 2008 00:21:06 GMT) Full text and rfc822 format available.

Tags added: d-i Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 28 Feb 2008 00:21:08 GMT) Full text and rfc822 format available.

Message sent on to "Facundo Ariel Perez" <facundo.ariel.perez@gmail.com>:
Bug#465737. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#465737; Package xfsprogs. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. Full text and rfc822 format available.

Message #36 received at 465737@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 465737@bugs.debian.org
Subject: Re: Bug#465737: Can't mount XFS partition on "/"
Date: Thu, 28 Feb 2008 01:32:32 +0100
[Message part 1 (text/plain, inline)]
On Thursday 28 February 2008, Frans Pop wrote:
> After downgrading to version 2.9.4-1, a newly created partition could be
> mounted again.

2.9.5-1 works correctly as well.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#465737; Package xfsprogs. Full text and rfc822 format available.

Acknowledgement sent to nscott@aconex.com:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. Full text and rfc822 format available.

Message #41 received at 465737@bugs.debian.org (full text, mbox):

From: Nathan Scott <nscott@aconex.com>
To: Frans Pop <elendil@planet.nl>, 465737@bugs.debian.org
Subject: Re: Bug#465737: Can't mount XFS partition on "/"
Date: Thu, 28 Feb 2008 11:56:54 +1100
On Thu, 2008-02-28 at 01:32 +0100, Frans Pop wrote:
> On Thursday 28 February 2008, Frans Pop wrote:
> > After downgrading to version 2.9.4-1, a newly created partition could be
> > mounted again.
> 
> 2.9.5-1 works correctly as well.

Hi all,

Been discussing this with the SGI guys.  The problem is most likely
to be that current mkfs.xfs enables the "lazy superblock" accounting
feature, which was supported in kernels since 2.6.23.

Can we confirm that the installer is using an earlier kernel?

I've mentioned to upstream that 7 months may not be enough lead time
before mkfs enables new features by default, and they're considering
that and may/may not undo the change in the next xfsprogs (hope they
do, as thats probably the best bet here, and I'll quickly upload any
new version that does this).

In the meantime, the following will resolve it:
- move d-i to a newer kernel (dunno if this is an option here?)
- run mkfs.xfs with the "-l lazy-count=0" option (probably not a
great option either).
- ...?

IMO, best bet is to get upstream to undo this change for another 6
months or so.  I'll keep pushing for that.  I'd rather not patch in
such a change myself without them doing a release, but if we have
no other option, we can do that.

Can someone from the d-i team provide their thoughts on the options
I listed above?  thanks!

cheers.

-- 
Nathan





Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#465737; Package xfsprogs. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. Full text and rfc822 format available.

Message #46 received at 465737@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 465737@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Re: Bug#465737: Can't mount XFS partition on "/"
Date: Thu, 28 Feb 2008 02:28:24 +0100
[Message part 1 (text/plain, inline)]
Thanks for the quick reply.

On Thursday 28 February 2008, Nathan Scott wrote:
> Been discussing this with the SGI guys.  The problem is most likely
> to be that current mkfs.xfs enables the "lazy superblock" accounting
> feature, which was supported in kernels since 2.6.23.

Nice that's a known problem. Did I overlook it in the BTS?

> Can we confirm that the installer is using an earlier kernel?

Yes, as I said D-I uses 2.6.22 ATM and that's also still the official kernel 
version in testing.

> In the meantime, the following will resolve it:
> - move d-i to a newer kernel (dunno if this is an option here?)

That will not happen for the Beta1 release that is currently being prepared, 
but we'll switch to 2.6.24 almost immediately after (and testing will as 
well).

> - run mkfs.xfs with the "-l lazy-count=0" option (probably not a
>   great option either).

This works (tested). I think this is probably our best option.
I could even include a test that only includes the option if the kernel 
version is <= 2.6.22. That way it'll automatically deprecate itself and we 
can also clean this up fairly easily later.

We will also have to do something for the "etch+1/2" installer as that uses 
the D-I Lenny Beta release and will thus use the new XFS to create 
filesystems. Is a file system created using mkfs.xfs with "-l lazy-count=0" 
otherwise completely compatible with XFS as used in Etch?

So with that the test would be: if kernel <= 2.6.22 OR target system = etch.

Alternatively, is it possible to use a config file for mkfs.xfs to disable 
this default (comparable to /etc/mke2fs.conf)?

> IMO, best bet is to get upstream to undo this change for another 6
> months or so.  I'll keep pushing for that.  I'd rather not patch in
> such a change myself without them doing a release, but if we have
> no other option, we can do that.

That's only a stay of execution. IMHO reverting the change now that it's 
happened doesn't make much sense.

_If_ you were aware of this in advance, the best option probably would have 
been to mention the incompatibility in the changelog and prevent migration 
of the package to testing before there is a suitable kernel there (by 
filing a dummy RC BR), but that's water under the bridge.

Cheers,
FJP

(Please CC the d-boot list on replies instead of CCing me. TIA.)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#465737; Package xfsprogs. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. Full text and rfc822 format available.

Message #51 received at 465737@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 465737@bugs.debian.org
Subject: Re: Bug#465737: Can't mount XFS partition on "/"
Date: Thu, 28 Feb 2008 02:58:21 +0100
[Message part 1 (text/plain, inline)]
On Thursday 28 February 2008, Nathan Scott wrote:
> I've mentioned to upstream that 7 months may not be enough lead time
> before mkfs enables new features by default, and they're considering
> that and may/may not undo the change in the next xfsprogs (hope they
> do, as thats probably the best bet here, and I'll quickly upload any
> new version that does this).

BTW, the man page needs updating. That still says 0 is the default.
It should also probably mention the kernel version requirement for the use 
of the option.

Cheers,
FJP
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#465737; Package xfsprogs. Full text and rfc822 format available.

Acknowledgement sent to nscott@aconex.com:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. Full text and rfc822 format available.

Message #56 received at 465737@bugs.debian.org (full text, mbox):

From: Nathan Scott <nscott@aconex.com>
To: 465737@bugs.debian.org
Cc: debian-boot@lists.debian.orgc
Subject: Re: Bug#465737: Can't mount XFS partition on "/"
Date: Thu, 28 Feb 2008 15:08:27 +1100
On Thu, 2008-02-28 at 02:28 +0100, Frans Pop wrote:
> 
> 
> 
> 
> Thanks for the quick reply.
> 
> On Thursday 28 February 2008, Nathan Scott wrote:
> > Been discussing this with the SGI guys.  The problem is most likely
> > to be that current mkfs.xfs enables the "lazy superblock" accounting
> > feature, which was supported in kernels since 2.6.23.
> 
> Nice that's a known problem. Did I overlook it in the BTS?

Its only just become known now. :)

> > - run mkfs.xfs with the "-l lazy-count=0" option (probably not a
> >   great option either).
> 
> This works (tested). I think this is probably our best option.
> I could even include a test that only includes the option if the
> kernel 
> version is <= 2.6.22. That way it'll automatically deprecate itself
> and we 
> can also clean this up fairly easily later.

My hesitation with that approach is that this is an ondisk format flag.
People rightly expect that they can move between different kernels and
still mount their filesystems.  That of course needs to be balanced by
the needs of filesystem developers to move people forward enabling new
features.

> We will also have to do something for the "etch+1/2" installer as that
> uses 
> the D-I Lenny Beta release and will thus use the new XFS to create 
> filesystems. Is a file system created using mkfs.xfs with "-l
> lazy-count=0" 
> otherwise completely compatible with XFS as used in Etch?
> 
> So with that the test would be: if kernel <= 2.6.22 OR target system =
> etch.

I think any test based on kernel version isnt really the right
approach, since even though the filesystem is created under a
particular kernel version, people still have the expectation 
that they can move backward many kernel versions and still have
it work.  And people almost always use default mkfs options, so
its important to only make mkfs defaults change after alot of
opt-in-only time.

> Alternatively, is it possible to use a config file for mkfs.xfs to
> disable 
> this default (comparable to /etc/mke2fs.conf)?

Thats been discussed, but noones implemented that for XFS to date.

> > IMO, best bet is to get upstream to undo this change for another 6
> > months or so.  I'll keep pushing for that.  I'd rather not patch in
> > such a change myself without them doing a release, but if we have
> > no other option, we can do that.
> 
> That's only a stay of execution.

No not really, in that in 6-12 months time 99% of kernels that people
are using will support this feature, and the problem simply wont arise
anymore.

>  IMHO reverting the change now that it's 
> happened doesn't make much sense.

It makes sense, in that the people who are mkfs'ing at the moment are
all testing/unstable people (not stable), so its not hit the unwashed
masses yet _and_ those people who have used it tend to see the break
right away, so have no data on the new filesystems.

Upstream have sent out a patch to revert this change for awhile, so as
soon as that goes in I'll upload the new version.

cheers.

-- 
Nathan





Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#465737; Package xfsprogs. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. Full text and rfc822 format available.

Message #61 received at 465737@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 465737@bugs.debian.org
Subject: Re: Bug#465737: Can't mount XFS partition on "/"
Date: Thu, 28 Feb 2008 16:08:41 +0100
[Message part 1 (text/plain, inline)]
On Thursday 28 February 2008, Nathan Scott wrote:
> No not really, in that in 6-12 months time 99% of kernels that people
> are using will support this feature, and the problem simply wont arise
> anymore.

Basically you are saying here: let's postpone enabling this feature by 
default until Lenny + 1 for Debian. That would indeed also solve any 
possible problems for people migrating from Etch to Lenny who might want to 
switch back to 2.6.18 after creating a new XFS file system.

Also, if backwards compatibility is really your main goal, I think 
postponement until Lenny + 1 really is the *only* correct thing, so if 
upstream were to enable the feature again by default just before the Lenny 
freeze, you should probably hold back an upload of that version until after 
the Lenny release.

OTOH, from the man page I get the impression that the improvement is quite 
significant, so that decision also means denying Lenny users to have the 
improvement by default even though Lenny will ship with something like 
2.6.25. Not sure what I'd do. Maybe discuss it on d-devel or d-release?

In any case, the incompatibility should be documented in the man page.

> Upstream have sent out a patch to revert this change for awhile, so as
> soon as that goes in I'll upload the new version.

That will be too late for our D-I Beta 1 release though, but given the above 
I will just hardcode disabling the option, but will also queue a patch for 
the next release to remove that again.

Please do keep the debian-boot list informed of any developments and changes 
in xfsprogs on this issue.

Cheers,
FJP
[signature.asc (application/pgp-signature, inline)]

Message sent on to "Facundo Ariel Perez" <facundo.ariel.perez@gmail.com>:
Bug#465737. Full text and rfc822 format available.

Message #64 received at 465737-submitter@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 465737-submitter@bugs.debian.org
Cc: 468184-submitter@bugs.debian.org
Subject: Installer cannot mount XFS partitions
Date: Thu, 28 Feb 2008 17:02:09 +0100
[Message part 1 (text/plain, inline)]
We have just added a workaround in the installer for this issue.
Daily built installer images from tomorrow or later should work again with 
XFS. For weekly built images you'll have to wait for the next build, which 
is scheduled for Monday.

Thank you for your reports.

Cheers,
FJP
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#465737; Package xfsprogs. Full text and rfc822 format available.

Acknowledgement sent to Niv Sardi <xaiki@debian.org>:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. Full text and rfc822 format available.

Message #69 received at 465737@bugs.debian.org (full text, mbox):

From: Niv Sardi <xaiki@debian.org>
To: Frans Pop <elendil@planet.nl>
Cc: 465737@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#465737: Can't mount XFS partition on "/"
Date: Fri, 29 Feb 2008 14:20:58 +1100
I believe the right solution is to set the default in the kernel, not in
mkfs, it should be possible to change lazy-sb to no-lazy-sb and only
flag when we actually want to disable it.

FS mounted with lazy-sb, should be (if unmounted cleanly) mountable by a
non-lazy-aware kernel, (and if not unmounted cleanly, then repair should
be able to fix it).

I'll try to get that pushed for next week in kernel and xfsprogs.

Cheers,
-- 
Niv Sardi




Reply sent to Nathan Scott <nathans@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Facundo Ariel Perez" <facundo.ariel.perez@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #74 received at 465737-close@bugs.debian.org (full text, mbox):

From: Nathan Scott <nathans@debian.org>
To: 465737-close@bugs.debian.org
Subject: Bug#465737: fixed in xfsprogs 2.9.7-1
Date: Fri, 29 Feb 2008 21:18:07 +0000
Source: xfsprogs
Source-Version: 2.9.7-1

We believe that the bug you reported is fixed in the latest version of
xfsprogs, which is due to be installed in the Debian FTP archive:

xfslibs-dev_2.9.7-1_amd64.deb
  to pool/main/x/xfsprogs/xfslibs-dev_2.9.7-1_amd64.deb
xfsprogs-udeb_2.9.7-1_amd64.udeb
  to pool/main/x/xfsprogs/xfsprogs-udeb_2.9.7-1_amd64.udeb
xfsprogs_2.9.7-1.dsc
  to pool/main/x/xfsprogs/xfsprogs_2.9.7-1.dsc
xfsprogs_2.9.7-1.tar.gz
  to pool/main/x/xfsprogs/xfsprogs_2.9.7-1.tar.gz
xfsprogs_2.9.7-1_amd64.deb
  to pool/main/x/xfsprogs/xfsprogs_2.9.7-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 465737@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nathan Scott <nathans@debian.org> (supplier of updated xfsprogs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 01 Mar 2008 06:24:21 +1100
Source: xfsprogs
Binary: xfsprogs-udeb xfslibs-dev xfsprogs
Architecture: source amd64
Version: 2.9.7-1
Distribution: unstable
Urgency: high
Maintainer: Nathan Scott <nathans@debian.org>
Changed-By: Nathan Scott <nathans@debian.org>
Description: 
 xfslibs-dev - XFS filesystem-specific static libraries and headers
 xfsprogs   - Utilities for managing the XFS filesystem
 xfsprogs-udeb - A stripped-down version of xfsprogs, for debian-installer (udeb)
Closes: 289665 463810 465737 468184
Changes: 
 xfsprogs (2.9.7-1) unstable; urgency=high
 .
   * New upstream release.
   * Add -y fsck option (closes: #463810)
   * Lazy superblock counters not yet mkfs default (closes: #465737, #468184)
   * xfs_repair memory requirements significantly reduced (closes: #289665)
Files: 
 d8dfc709175932e234756265839d9849 578 admin optional xfsprogs_2.9.7-1.dsc
 02477b99e3c825f8bf5c85523d18b3cc 958400 admin optional xfsprogs_2.9.7-1.tar.gz
 e4d565a28d7ab19122b1d4e793c9ad5f 1360750 admin optional xfsprogs_2.9.7-1_amd64.deb
 175952075ac87cd258cf46dad0830870 302360 libdevel extra xfslibs-dev_2.9.7-1_amd64.deb
 ee3c8ab703c63f6244d46a1462ec8707 131924 debian-installer optional xfsprogs-udeb_2.9.7-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHyF/km8fl3HSIa2MRAg60AJ0ZynLn4zxgwSKHCtSxF0ESPRODNACfZZ2u
qhBaOpTrLNUik0TpketR9rA=
=l3fw
-----END PGP SIGNATURE-----





Reply sent to Nathan Scott <nathans@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Magnus Berg <debianmailinglistspam@burgsvik.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 17 Apr 2008 07:32:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:40:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.